aboutsummaryrefslogtreecommitdiff
path: root/mpd-music/music.init
diff options
context:
space:
mode:
Diffstat (limited to 'mpd-music/music.init')
-rwxr-xr-xmpd-music/music.init34
1 files changed, 34 insertions, 0 deletions
diff --git a/mpd-music/music.init b/mpd-music/music.init
new file mode 100755
index 0000000..4a5c654
--- /dev/null
+++ b/mpd-music/music.init
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use logger
+}
+
+mounted() {
+ mount | grep -q ' /music '
+}
+
+status() {
+ mounted
+}
+
+start() {
+ if mounted; then
+ einfo "Already mounted"
+ return
+ fi
+
+ mkdir -p /music
+ sshfs -o rw,allow_other root@10.8.2.1:/data/music /music
+}
+
+stop() {
+ if ! mounted; then
+ ewarn "Already not mounted"
+ return
+ fi
+
+ fusermount -u /music
+}